EDIT - bug #7203

The area filter in TaxonNodeFilter seems to be slow
01/18/2018 02:44 PM - Andreas Miiller

Status: New Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.44

Severity: normal Found in Version:

Description

Maybe it can be improved.

The TaxonNodeFilterDaoHibernatelmplTest.testListUuidsByAreas takes longer than other tests.

This may be related to area loading. Maybe we can improve it.
Added some debugging:

start:2018-01-18T14:33:03.629+01:00
filter1:2018-01-18T14:33:03.668+01:00
assert:2018-01-18T14:33:05.449+01:00
filter2:2018-01-18T14:33:05.449+01:00
filter3:2018-01-18T14:33:05.512+01:00
filter4:2018-01-18T14:33:05.762+01:00
end:2018-01-18T14:33:08.168+01:00

Related issues:

Related to EDIT - feature request #7166: Implement area filter for TaxonNodeF...
Related to EDIT - feature request #7190: TaxonNodeFilter should support aggre...

Related to EDIT - feature request #9271: Improve E+M dataportal performance

Closed
New
In Progress

Associated revisions

Revision dc4d55ad - 01/18/2018 02:44 PM - Andreas Miiller

ref #7203 add performance debugging for TaxonNodeFilter.areaFilter

History

#1 - 01/18/2018 02:45 PM - Andreas Miiller

- Related to feature request #7166: Implement area filter for TaxonNodeFilter added

#2 - 01/18/2018 02:46 PM - Andreas Miiller

- Related to feature request #7190: TaxonNodeFilter should support aggregated area filter added

#3 - 04/21/2020 12:23 PM - Andreas Miiller

- Assignee changed from Patrick Plitzner to Andreas Mliller

#4 - 03/23/2022 11:06 AM - Andreas Miiller
- Related to feature request #9271: Improve E+M dataportal performance added

#5 - 03/23/2022 11:06 AM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.44
